package proc;

import java.util.ArrayList;

public class ProcSum extends Proc {
	Proc left;
	Proc right;

	public ProcSum(Proc left, Proc right) {
		this.type = SUM;
		this.left = left;
		this.right = right;
	}

	public String toString() {
		return "(" + left + " + " + right + ")";
	}

	public ArrayList<Transition> transitions() {
		if(trans != null) return trans;
		
		trans = new ArrayList<Transition>();
		trans.addAll(left.transitions());
		trans.addAll(right.transitions());
		
		return trans;
	}
}
